From da334880401c5aa14366f502c5ca92dc14bef514 Mon Sep 17 00:00:00 2001
From: Nicolas ROCHE <nroche@entrouvert.com>
Date: Wed, 16 Nov 2022 17:54:56 +0100
Subject: [PATCH 1/6]  toulouse-maelis: update WSDL (#71641)

---
 .../data/toulouse_maelis/ActivityService.wsdl |   52 +-
 tests/data/toulouse_maelis/FamilyService.wsdl | 1198 +++++++++++------
 2 files changed, 821 insertions(+), 429 deletions(-)

diff --git a/tests/data/toulouse_maelis/ActivityService.wsdl b/tests/data/toulouse_maelis/ActivityService.wsdl
index 056d3ea6..7bba7ce8 100644
--- a/tests/data/toulouse_maelis/ActivityService.wsdl
+++ b/tests/data/toulouse_maelis/ActivityService.wsdl
@@ -1046,179 +1046,179 @@
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="getPersonCatalogueActivity">
     <wsdl:part element="tns:getPersonCatalogueActivity" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:portType name="ActivityService">
     <wsdl:operation name="updateChildUnitBasket">
-<wsdl:documentation> Méthode de mise à jour de la quantité d'une ligne du panier </wsdl:documentation>
+<wsdl:documentation>Met à jour la quantité d'une ligne du panier</wsdl:documentation>
       <wsdl:input message="tns:updateChildUnitBasket" name="updateChildUnitBasket">
     </wsdl:input>
       <wsdl:output message="tns:updateChildUnitBasketResponse" name="updateChildUnitBasketResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="getPersonScheduleList">
-<wsdl:documentation> Méthode de récuperation des calendriers d'une personne</wsdl:documentation>
+<wsdl:documentation>Renvoie les calendriers d'une personne</wsdl:documentation>
       <wsdl:input message="tns:getPersonScheduleList" name="getPersonScheduleList">
     </wsdl:input>
       <wsdl:output message="tns:getPersonScheduleListResponse" name="getPersonScheduleListResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="getNbAvailablePlacesPortalOther">
-<wsdl:documentation> Méthode qui renvoie le nombre d'inscriptions disponibles autres que PORTAL (en fonction d'une inscription à faire) 
+<wsdl:documentation>Renvoie le nombre d'inscriptions disponibles autres que PORTAL (en fonction d'une inscription à faire)
 
  ---------------------- 
  idPers la personne (pour quota filles/garçons) 
  idAct l'activité (obligatoire)
  idUni l'unité (obligatoire)
  idPlace le lieu 
  date de début période d'inscription 
  date de fin période d'inscription 
 
   le total trouvé :  
-         -1 si plus de place et l'inscription doit être refusée, 
-         0 si plus de place et l'inscription doit être mise en attente 
-         NA si pas de controle 
-         NN est le nombre de places disponibles </wsdl:documentation>
+       -1 si plus de place et l'inscription doit être refusée, 
+       0 si plus de place et l'inscription doit être mise en attente 
+       NA si pas de controle 
+       NN est le nombre de places disponibles </wsdl:documentation>
       <wsdl:input message="tns:getNbAvailablePlacesPortalOther" name="getNbAvailablePlacesPortalOther">
     </wsdl:input>
       <wsdl:output message="tns:getNbAvailablePlacesPortalOtherResponse" name="getNbAvailablePlacesPortalOtherResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="closeSubscribe">
-<wsdl:documentation> Méthode de fermeture des calendriers d'une inscription 
+<wsdl:documentation>Ferme le calendrier d'une inscription
 
  ---------------------- 
  idSubscribe : identifiant de l'inscription (obligatoire)
  idActivity : identifiant de l'activité 
  idPerson : identifiant de la personne 
  dateEnd : la date de fin d'inscription (obligatoire)</wsdl:documentation>
       <wsdl:input message="tns:closeSubscribe" name="closeSubscribe">
     </wsdl:input>
       <wsdl:output message="tns:closeSubscribeResponse" name="closeSubscribeResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="getFamilyChilds">
-<wsdl:documentation> Méthode de recherche des enfants de la famille avec leurs inscriptions  
+<wsdl:documentation>Renvoie les enfants de la famille avec leurs inscriptions 
  La liste est composée des enfants de la famille (y compris les enfants en garde alternée)  
  avec, pour chaque enfant, un second niveau composé de la liste de ses inscriptions existantes </wsdl:documentation>
       <wsdl:input message="tns:getFamilyChilds" name="getFamilyChilds">
     </wsdl:input>
       <wsdl:output message="tns:getFamilyChildsResponse" name="getFamilyChildsResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="validateBasket">
-<wsdl:documentation> Méthode qui validation le panier 
+<wsdl:documentation>Valide le panier 
  Renvoi une liste d'identifiant de factures ainsi que la liste des identifiants d'inscription. 
- Renvoi les paramétres de l'url de paiement.  </wsdl:documentation>
+ Renvoi les paramètres de l'URL de paiement.</wsdl:documentation>
       <wsdl:input message="tns:validateBasket" name="validateBasket">
     </wsdl:input>
       <wsdl:output message="tns:validateBasketResponse" name="validateBasketResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="deleteBasket">
-<wsdl:documentation> Méthode qui supprime le panier </wsdl:documentation>
+<wsdl:documentation>Supprime le panier</wsdl:documentation>
       <wsdl:input message="tns:deleteBasket" name="deleteBasket">
     </wsdl:input>
       <wsdl:output message="tns:deleteBasketResponse" name="deleteBasketResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="getFamilyBasket">
-<wsdl:documentation> Méthode qui renvoie le panier de la famille pour un utilisateur </wsdl:documentation>
+<wsdl:documentation>Renvoie le panier de la famille pour un utilisateur</wsdl:documentation>
       <wsdl:input message="tns:getFamilyBasket" name="getFamilyBasket">
     </wsdl:input>
       <wsdl:output message="tns:getFamilyBasketResponse" name="getFamilyBasketResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="addChildUnitLstWait">
-<wsdl:documentation> Méthode qui permet d'ajouter au panier une inscription en liste d'attente d'un enfant à une activité  du catalogue </wsdl:documentation>
+<wsdl:documentation>Ajoute au panier une inscription en liste d'attente d'un enfant à une activité du catalogue</wsdl:documentation>
       <wsdl:input message="tns:addChildUnitLstWait" name="addChildUnitLstWait">
     </wsdl:input>
       <wsdl:output message="tns:addChildUnitLstWaitResponse" name="addChildUnitLstWaitResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="getPersonUnitInfo">
-<wsdl:documentation> Méthode qui renvoie les informations d'inscription d'un enfant à une activité du catalogue </wsdl:documentation>
+<wsdl:documentation>Renvoie les informations d'inscription d'un enfant à une activité du catalogue </wsdl:documentation>
       <wsdl:input message="tns:getPersonUnitInfo" name="getPersonUnitInfo">
     </wsdl:input>
       <wsdl:output message="tns:getPersonUnitInfoResponse" name="getPersonUnitInfoResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="updateBasketTime">
-<wsdl:documentation> Méthode qui prolonge la durée de vie du panier de son délai</wsdl:documentation>
+<wsdl:documentation>Prolonge la durée de vie du panier de son délai</wsdl:documentation>
       <wsdl:input message="tns:updateBasketTime" name="updateBasketTime">
     </wsdl:input>
       <wsdl:output message="tns:updateBasketTimeResponse" name="updateBasketTimeResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="getUnitByActivity">
-<wsdl:documentation> Méthode qui renvoie les unités de l'activité indiquée </wsdl:documentation>
+<wsdl:documentation>Renvoie les unités de l'activité indiquée</wsdl:documentation>
       <wsdl:input message="tns:getUnitByActivity" name="getUnitByActivity">
     </wsdl:input>
       <wsdl:output message="tns:getUnitByActivityResponse" name="getUnitByActivityResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="getSelectionCriteriaForFamilyList">
-<wsdl:documentation> Méthode de recherche des natures d'activités pour le profil portail </wsdl:documentation>
+<wsdl:documentation>Renvoie les natures d'activités pour le profil portail </wsdl:documentation>
       <wsdl:input message="tns:getSelectionCriteriaForFamilyList" name="getSelectionCriteriaForFamilyList">
     </wsdl:input>
       <wsdl:output message="tns:getSelectionCriteriaForFamilyListResponse" name="getSelectionCriteriaForFamilyListResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="isWSRunning">
-<wsdl:documentation>Méthode pour vérifier si le webservice est OK
+<wsdl:documentation>Vérifie si le webservice est OK
 
  -------------------------
- Retourne vrai ou faux </wsdl:documentation>
+ Retourne vrai ou faux</wsdl:documentation>
       <wsdl:input message="tns:isWSRunning" name="isWSRunning">
     </wsdl:input>
       <wsdl:output message="tns:isWSRunningResponse" name="isWSRunningResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="addChildUnitBasket">
-<wsdl:documentation> Méthode qui permet d'ajouter au panier une inscription d'un enfant à une activité du catalogue </wsdl:documentation>
+<wsdl:documentation>Ajoute au panier une inscription d'un enfant à une activité du catalogue</wsdl:documentation>
       <wsdl:input message="tns:addChildUnitBasket" name="addChildUnitBasket">
     </wsdl:input>
       <wsdl:output message="tns:addChildUnitBasketResponse" name="addChildUnitBasketResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="updatePersonSchedule">
-<wsdl:documentation> Méthode de mise à jour du calendrier d'une personne 
+<wsdl:documentation>Met à jour le calendrier d'une personne
 
  ----------------------  
  action possible :  
  ADD_PRES_PREVI,  
  DEL_PRES_PREVI, 
  ADD_ABSENCE,  
  DEL_ABSENCE,  
  ADD_PRES_REAL,  
@@ -1227,17 +1227,17 @@
       <wsdl:input message="tns:updatePersonSchedule" name="updatePersonSchedule">
     </wsdl:input>
       <wsdl:output message="tns:updatePersonScheduleResponse" name="updatePersonScheduleResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="updateWeekCalendar">
-<wsdl:documentation> Méthode de mise à jour du calendrier hebdomadaire
+<wsdl:documentation>Met à jour le calendrier hebdomadaire d'une personne, par rapport à une activité
 
  ---------------------- 
  idActivity : identifiant de l'activité 
  numPerson : Numéro de personne 
  weeklyPlanningAM : modèle hebdomadaire matin
  weeklyPlanningPM : modèle hebdomadaire après-midi 
  dateStart : date de début d'application
  dateEnd : date de fin d'application, facultatif, si non fourni date de fin de l'inscription
@@ -1252,26 +1252,26 @@
       <wsdl:input message="tns:updateWeekCalendar" name="updateWeekCalendar">
     </wsdl:input>
       <wsdl:output message="tns:updateWeekCalendarResponse" name="updateWeekCalendarResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="deleteChildUnitBasket">
-<wsdl:documentation> Méthode qui supprime une ligne du panier</wsdl:documentation>
+<wsdl:documentation>Supprime une ligne du panier</wsdl:documentation>
       <wsdl:input message="tns:deleteChildUnitBasket" name="deleteChildUnitBasket">
     </wsdl:input>
       <wsdl:output message="tns:deleteChildUnitBasketResponse" name="deleteChildUnitBasketResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="getFamilyList">
-<wsdl:documentation> Méthode de recherche des familles  
+<wsdl:documentation>Renvoie la liste des familles correspondant aux critères indiqués 
  Les critères disponibles sont les suivants :  
 	-	Numéro de famille  
 	-	Nom du RL1  
 	-	Prénom du RL1  
 	-	Numéro de l'enfant  
 	-	Nom de l'enfant  
 	-	Prénom de l'enfant  
 	-	Plage de date de naissance  
@@ -1288,17 +1288,17 @@
       <wsdl:input message="tns:getFamilyList" name="getFamilyList">
     </wsdl:input>
       <wsdl:output message="tns:getFamilyListResponse" name="getFamilyListResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="getPersonCatalogueActivity">
-<wsdl:documentation> Méthode qui renvoie le catalogue des activités d'un enfant de la famille </wsdl:documentation>
+<wsdl:documentation>Renvoie le catalogue des activités d'un enfant de la famille</wsdl:documentation>
       <wsdl:input message="tns:getPersonCatalogueActivity" name="getPersonCatalogueActivity">
     </wsdl:input>
       <wsdl:output message="tns:getPersonCatalogueActivityResponse" name="getPersonCatalogueActivityResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
     </wsdl:fault>
     </wsdl:operation>
   </wsdl:portType>
